Bug 417491 - [PATCH] Add bsh desktop menu entry, fix scriptlet exit status
[PATCH] Add bsh desktop menu entry, fix scriptlet exit status
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bsh (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Permaine Cheung
Fedora Extras Quality Assurance
: Patch, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-09 15:50 EST by Ville Skyttä
Modified: 2010-11-25 17:27 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.0-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-25 17:27:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add bsh-desktop script and menu entry, fix scriptlet exit statuses (4.20 KB, patch)
2007-12-09 15:50 EST, Ville Skyttä
no flags Details | Diff
Replace -desktop with -utils, move scripts there (1.80 KB, patch)
2008-03-10 15:58 EDT, Ville Skyttä
no flags Details | Diff
Replace -desktop with -utils (2.84 KB, patch)
2009-06-22 12:26 EDT, Ville Skyttä
no flags Details | Diff
Updated patch against current git devel (3.15 KB, patch)
2010-11-04 12:31 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-12-09 15:50:19 EST
The attached patch adds a menu entry and a startup script for bsh desktop, as
well as ensures zero exit status for scriptlets.
Comment 1 Ville Skyttä 2007-12-09 15:50:19 EST
Created attachment 282351 [details]
Add bsh-desktop script and menu entry, fix scriptlet exit statuses
Comment 2 Permaine Cheung 2008-03-10 10:25:38 EDT
fixed in rawhide, the menu-entry is in the bsh-desktop sub-package.
thanks for the patch.
Comment 3 Ville Skyttä 2008-03-10 13:52:10 EDT
Reopening for comments: why is the menu entry in a subpackage?  It does not have
any additional dependencies nor any intrusive functionality as far as I can
tell.  This kind of a split is highly unusual (almost nonexistent) in Fedora;
nobody is prepared to install additional subpackages just to get menu entries.
Comment 4 Permaine Cheung 2008-03-10 14:27:10 EDT
I originally put it into the main package, then i got a request/bug to have it
as a subpackage. (Please see bug 436675 for details) 
I saw that there are a couple of -desktop subpackages in rawhide for adding menu
entry, so I ended up putting it in a desktop subpackage.
Comment 5 Ville Skyttä 2008-03-10 15:58:48 EDT
Created attachment 297503 [details]
Replace -desktop with -utils, move scripts there

I found 3 -desktop packages in Rawhide: gnome-desktop, gnome-python2-desktop,
online-desktop.  None of these exist for the purpose of splitting desktop
entries from main packages, they're "complete" packages themselves.  Did I miss
something?

In my opinion, the separate -desktop package containing just the menu entry is
about as good as if the menu entry wouldn't exist at all.  A -utils subpackage
containing the utils in /usr/bin and the desktop entry would make more sense if
it's really necessary to split something (I suppose vast majority of apps don't
need the bsh command line utils but rather use bsh as a library).  Untested
patch implementing this is attached.
Comment 6 Ville Skyttä 2008-03-10 16:01:21 EDT
Oh, I just noticed that the -desktop package (and the -utils in my patch) is
missing "%defattr(-,root,root)" from %files, that should be fixed.
Comment 7 Bug Zapper 2008-05-14 00:08:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 19:16:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Ville Skyttä 2009-06-22 12:26:57 EDT
Created attachment 348938 [details]
Replace -desktop with -utils

Here's an updated patch against current rawhide.  Let me know if you'd like me to apply and build this in devel.
Comment 10 Bug Zapper 2009-11-16 02:59:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-11-04 08:04:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Ville Skyttä 2010-11-04 12:31:31 EDT
Created attachment 457862 [details]
Updated patch against current git devel

Here's an updated patch.  Let me know if you don't have time for this and would like me to apply and build this for Rawhide.
Comment 13 Alexander Kurtakov 2010-11-25 16:22:36 EST
Please commit. It stayed in this state long enough for every provenpackager to use its powers :).

Note You need to log in before you can comment on or make changes to this bug.